TestTaskReports (Gradle API 7.6.3)

Package org.gradle.api.tasks.testing

## Interface TestTaskReports

- All Superinterfaces:
    `java.util.Collection<Report>`, `Configurable<ReportContainer<Report>>`, `DomainObjectCollection<Report>`, `java.lang.Iterable<Report>`, `NamedDomainObjectCollection<Report>`, `NamedDomainObjectSet<Report>`, `ReportContainer<Report>`, `java.util.Set<Report>`

      public interface TestTaskReports
      extends ReportContainer<Report>

  The reports produced by the `Test` task.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DirectoryReport` | `getHtml()` | A HTML report indicate the results of the test execution.
    `JUnitXmlReport` | `getJunitXml()` | The test results in “JUnit XML” format.

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### getHtml

          @Internal
          DirectoryReport getHtml()

      A HTML report indicate the results of the test execution.
      Returns:
        The HTML report

    - #### getJunitXml

          @Internal
          JUnitXmlReport getJunitXml()

      The test results in “JUnit XML” format.
      Returns:
        The test results in “JUnit XML” format